## gerritlib 0.4.0%2Bgit20150319

=== debian/rules ===
#!/usr/bin/make -f

# Parse version from debian changelog (or pbr will try to use Git commit)
export PBR_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p' | cut -f1 -d '-')
export PYBUILD_NAME=gerritlib

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## gerritlib 0.4.0+git20150319

=== requirements.txt ===
pbr>=0.8.2,<1.0
paramiko>=1.8.0
six>=1.7.0

=== debian/changelog ===
gerritlib (0.4.0+git20150319-2) unstable; urgency=medium

  * Bump max pbr builddep to 1.* (See #803191)

 -- Mathieu Parent <sathieu@debian.org>  Mon, 02 Nov 2015 21:06:18 +0100

gerritlib (0.4.0+git20150319-1) unstable; urgency=low

  * Initial release. Closes: #793082

 -- Mathieu Parent <sathieu@debian.org>  Fri, 24 Jul 2015 14:32:45 +0200

=== debian/control ===
Source: gerritlib
Section: python
Priority: optional
Maintainer: Mathieu Parent <sathieu@debian.org>
Build-Depends: debhelper (>=9),
               dh-python,
               python-all,
               python-paramiko (>=1.8.0),
               python-pbr (<< 2.0),
               python-pbr (>= 0.8.2),
               python-setuptools,
               python-six (>=1.7.0),
               python3-all,
               python3-paramiko (>=1.8.0),
               python3-pbr (<< 2.0),
               python3-pbr (>= 0.8.2),
               python3-setuptools,
               python3-six (>=1.7.0)
Standards-Version: 3.9.6
Homepage: https://git.openstack.org/cgit/openstack-infra/gerritlib

Package: python-gerritlib
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python:Depends}
Description: client library for accessing Gerrit with Python
 Gerritlib is a Python library for interacting with Gerrit.
 .
 It aims to provide a more conventionally pythonic way of managing a
 Gerrit instance.

Package: python3-gerritlib
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends}
Description: client library for accessing Gerrit with Python3
 Gerritlib is a Python3 library for interacting with Gerrit.
 .
 It aims to provide a more conventionally pythonic way of managing a
 Gerrit instance.

## gerritlib 0.8.0

=== requirements.txt ===
pbr>=0.11
paramiko>=1.8.0,<2.0.0
six>=1.7.0

=== debian/changelog ===
gerritlib (0.8.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Team upload.
  * Removed Python 2 support.
  * Removed versions when satisfied in Buster.

 -- Thomas Goirand <zigo@debian.org>  Sat, 20 Jul 2019 20:10:47 +0200

gerritlib (0.8.0-1) unstable; urgency=medium

  * Adopting orphaned package under DPMT (Closes: #881380)
  * d/copyright: add myself for Debian part
  * d/compat: update to version 10
  * d/control:
    - Remove Mathieu Parent from uploaders
    - update standards version to 4.1.2 (no changes)
    - Update Build-Depends to match new release
    - Enable autopkgtest-pkg-python testsuite
  * d/rules: use pkg-info.mk to determine PBR_VERSION
  * New upstream release
  * Fix python3 compatibility by converting bytes objects to string
    Upstream review: https://review.openstack.org/#/c/527704/
  * Fixes unmet build dependency on old python-pbr (Closes: #880230)

 -- Filip Pytloun <filip@pytloun.cz>  Mon, 11 Dec 2017 22:21:38 +0100

=== debian/control ===
Source: gerritlib
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Filip Pytloun <filip@pytloun.cz>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-hacking,
 python3-paramiko,
 python3-six,
 python3-subunit,
 python3-testrepository,
 python3-testtools,
Standards-Version: 4.1.2
Testsuite: autopkgtest-pkg-python
Homepage: https://git.openstack.org/cgit/openstack-infra/gerritlib
Vcs-Browser: https://salsa.debian.org/python-team/modules/gerritlib
Vcs-Git: https://salsa.debian.org/python-team/modules/gerritlib.git

Package: python3-gerritlib
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: client library for accessing Gerrit with Python3
 Gerritlib is a Python3 library for interacting with Gerrit.
 .
 It aims to provide a more conventionally pythonic way of managing a
 Gerrit instance.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

# Parse version from debian changelog (or pbr will try to use Git commit)
export PBR_VERSION=$(DEB_VERSION_UPSTREAM)
export PYBUILD_NAME=gerritlib

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/<project>-$1.tar.gz/" \
         https://github.com/openstack-infra/gerritlib/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## gerritlib 0.10.0

=== requirements.txt ===
pbr>=0.11
paramiko>=2.0.0
six>=1.7.0

=== debian/changelog ===
gerritlib (0.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.10.0
  * fix watch file, use https://opendev.org/
  * use new dh-sequence-python3
  * set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Fri, 10 May 2024 01:07:36 +0200

gerritlib (0.8.0-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 16 Nov 2022 10:17:37 +0000

gerritlib (0.8.0-4) unstable; urgency=medium

  * Set upstream metadata fields: Repository-Browse.

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 26 May 2022 16:44:39 +0100

gerritlib (0.8.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 13.

 -- Sandro Tosi <morph@debian.org>  Mon, 02 May 2022 21:55:46 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: gerritlib
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Filip Pytloun <filip@pytloun.cz>,
 Build-Depends:
- debhelper-compat (= 10),
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  python3-all,
  python3-pbr,
  python3-setuptools,
@@ -17,11 +17,12 @@
  python3-subunit,
  python3-testrepository,
  python3-testtools,
+Rules-Requires-Root: no
 Standards-Version: 4.1.2
 Testsuite: autopkgtest-pkg-python
 Homepage: https://git.openstack.org/cgit/openstack-infra/gerritlib
-Vcs-Browser: https://salsa.debian.org/python-team/modules/gerritlib
-Vcs-Git: https://salsa.debian.org/python-team/modules/gerritlib.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/gerritlib
+Vcs-Git: https://salsa.debian.org/python-team/packages/gerritlib.git
 
 Package: python3-gerritlib
 Architecture: all

## gerritlib 0.11.0

=== requirements.txt ===
pbr>=0.11
paramiko>=2.0.0

=== debian/changelog ===
gerritlib (0.11.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.11.0
  * Remove dependency on python3-six

 -- Alexandre Detiste <tchet@debian.org>  Wed, 11 Sep 2024 09:27:59 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
 Build-Depends-Indep:
  python3-hacking,
  python3-paramiko,
- python3-six,
  python3-subunit,
  python3-testrepository,
  python3-testtools,

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 export PYBUILD_NAME=gerritlib
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4

opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/gerritlib-$1.tar.gz/" \
         https://opendev.org/opendev/gerritlib/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
